WALLET-SUMMARY(8)

NAME
wallet-summary - Report on keytabs in the wallet database

SYNOPSIS
wallet-summary [-hm]

DESCRIPTION
Obtains a list of keytab objects in the wallet database and produces a report of the types of principals contained therein and the total number of principals registered. This report is sent to standard output by default, but see -m below.

The classifications of principals are determined by a set of patterns at the beginning of this script. Modify it to add new classifications.

OPTIONS

-h, --help
    Print out this documentation (which is done simply by feeding the script to "perldoc -t").

-m, --mail
    Rather than printing the report to standard output, send the report via e-mail to the address set at the beginning of this script and also archive a copy under /afs/ir/dept/itss/infrastructure/reports.

FILES

/afs/ir/dept/itss/infrastructure/reports
    The root directory for archived reports. Archived reports will be saved under this directory in a subdirectory for the year, the month, and "kerberos", under the name "wallet". In other words, for a report run in March of 2003, the report will be saved in the file:

        /afs/ir/dept/itss/infrastructure/reports/2003/03/kerberos/srvtabs

NOTES
Considerably more information could potentially be reported than is currently here. In particular, keytabs that have never been downloaded are not distinguished from those that have, the number of keytabs downloaded is not separately reported, and there aren't any statistics on how recently the keytabs were downloaded. These could be useful areas of future development.

AUTHOR
Russ Allbery <eagle@eyrie.org>

COPYRIGHT AND LICENSE
Copyright 2003, 2008, 2010, 2013 The Board of Trustees of the Leland Stanford Junior University

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SPDX-License-Identifier: MIT